﻿:root {
    /*Colores*/
    --principal-color: #006287;
    --white-color: #fff;
    --menu-color: #F7F7F7;
    --text-color-menu: #00B8F1;
    --principal-color-text: #666666;
    --first-level-item: #F0F0F0;
    --border-elements-list: #999999;
    --second-level-item: #EAEAEA;
    /*Fuentes*/
    --principal-font: 'Poppins', sans-serif;;
}

body {
    font-family: 'Poppins', sans-serif;
}

.btnradius {
    border-radius: 5px;
}

.btnRojo {
    background-color: var(--principal-color);
    color: var(--white-color);
}

.btnRojo:hover {
    font-weight: 700;
}

.btnCustom{
    padding: 10px;
    width: 200px;
    border-radius: 10px;
}

.letraRoja {
    color: var(--principal-color);
    font-size: 18px;
    font-weight: 500;
}

.icon-container-user{
    position: relative;
}

.iconUser {
    position: absolute;
    width: 20px;
    height: 20px;
    background-image: url("/SVG/Group20.svg");
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    left: 240px;
    top: 10px;
}

.icon-container-password {
    position: relative;
}
.icon-password {
    position: absolute;
    width: 20px;
    height: 20px;
    background-image: url("/SVG/Group23.svg");
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    left: 240px;
    top: 10px;
}

.final-area{
    display: flex;
    margin-top: 70px;
    align-content: flex-end;
    justify-content: flex-end;
}

.process-title{
    font-size: 20px;
    font-weight: 500;
}

.school-title {
    font-size: 24px;
    font-weight: 700;
    line-height: 10px;
}

.general-title{
    font-size: 20px;
    font-weight: 500;
}

.cancel-button {
    border: 1px solid var(--principal-color);
    color: var(--principal-color);
}

.cancel-button:hover {
    color: var(--principal-color);
    font-weight: 700;
    width: 210px;
}

.btnCustomSend {
    width: 210px;
}

.address-button{
    width: 241px;
}

.address-button:hover {
    width: 246px;
}

.google-button-container{
    display: flex;
    align-content: center;
    justify-content: center;
}
.main-content{
    min-width:320px;
    max-width: 920px;
    height: 70vh;
}
.form-container{
    width: 50%;
    min-width: 256px;
    margin: 0 auto;
}

.img-logo-container {
    display: flex;
    justify-content: center;
    margin-top: 20px;
}

.img-logo-container img{
    width: 200px;
    height: 200px;
}

.input-login{
    width: 270px;
    padding: 10px;
    border-radius: 10px;
}

.password-label{
    margin-top: 12px;
}

.form-input-section{
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    align-items:center;
    position: relative;
}

.label-form {
    align-self: flex-start;
}

.form-button-section {
    margin: 0 auto;
    display: flex;
    margin-top: 25px;
    justify-content: center;
}

.google-button {
    width: 120px;
}

.abcRioButtonLightBlue{
    height: 40px;
}

.btn-iniciar-sesion {
    margin-right: 20px;
}

.section-sodisa-img {
    display: flex;
    height: 5vh;
    margin-top: 100px;
    justify-content: flex-end;
}

.loading-section{
    position: absolute;
    top: 390px;
    display: flex;
}

.loading-spinner {
    width: 60px;
    height: 60px;
}

.loading-section p{
    margin-top: 20px;
}

@media only screen and (min-width: 768px) {
    .label-form {
        margin-left: 14%;
    }
    .loading-section {
        left: calc(75%/2);
    }
}

@media only screen and (min-width: 920px) {
    .main-content {
        margin: 0 auto;
    }
    .label-form {
        align-self: center;
        margin-left:0;
    }
    .loading-section {
        left: calc(80%/2);
    }
}

.popup-container {
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw; 
    height: 100vh; 
    z-index: 9999;
}

.modal-content {
    background-color: white; 
    border: 1px solid var(--principal-color); 
    border-radius: 10px;
    width: 400px;
    padding: 20px;
    box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.1);
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.modal-header {
    display: flex;
    justify-content: space-between; 
    align-items: center; 
    border-bottom: 1px solid var(--principal-color); 
    padding-bottom: 10px;
    font-size: 1.5rem;
    color: var(--principal-color); 
}

.modal-close {
    background: none; 
    border: none; 
    font-size: 1.2rem;
    color: var(--principal-color);
    cursor: pointer;
    transition: color 0.3s ease;
}

    .modal-close:hover {
        color: #999;
    }

.modal-body {
    margin-top: 20px;
    font-size: 1rem;
    color: #333;
    line-height: 1.6;
}

.modal-footer {
    display: flex;
    justify-content: space-between; 
    margin-top: 20px;
}

.btn-modal {
    background-color: var(--principal-color);
    border: 1px solid var(--principal-color); 
    color: var(--principal-color);
    padding: 10px 20px;
    border-radius: 5px;
    font-size: 14px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

    .btn-modal:hover {
        background-color: white;
        color: var(--principal-color); 
    }

.btn-resend {
    background-color: var(--second-level-item); 
    color: var(--principal-color);
}

.btn-verify {
    background-color: var(--principal-color); 
    color: white;
}

